%define name	nemiver
%define version	0.7.3
%define release %mkrel 1

%define git_url git://git.gnome.org/nemiver

Name: 	 	%{name}
Summary: 	Graphical debugger intended for GNOME
Version: 	%{version}
Release: 	%{release}
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/nemiver/%{name}-%{version}.tar.bz2
URL:		http://projects.gnome.org/nemiver/
License:	GPLv2+
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires:	libglademm-devel
BuildRequires:	libgtksourceviewmm-devel >= 0.3.0
BuildRequires:	libgnome2-devel
BuildRequires:	libvte-devel
BuildRequires:	gconfmm2.6-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	gdb
BuildRequires:	boost-devel
BuildRequires:	libgtop2.0-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libsm-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	libgtkhex-devel 
BuildRequires:	intltool
Requires:	gdb
Obsoletes:	%{_lib}nemiver0
Obsoletes:	%{_lib}nemiver0-devel

Requires(post):		desktop-file-utils 
Requires(postun):	desktop-file-utils

%description
Nemiver is a graphical debugger that integrates well in the GNOME
desktop environment. It currently features a backend which uses the
well known GNU Debugger gdb to debug C / C++ programs.

%prep
%setup -q 

%build
%configure2_5x 
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#remove unpackaged files
rm -rf %{buildroot}%{_includedir}/* %{buildroot}%{_libdir}/pkgconfig
rm -f %{buildroot}%{_libdir}/nemiver/*/*/*.{a,la} %{buildroot}%{_libdir}/nemiver/*/*.{a,la} %{buildroot}%{_libdir}/nemiver/*.{la,a}

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%define schemas %{name}-dbgperspective %{name}-workbench

%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor
%update_scrollkeeper
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%clean_scrollkeeper
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS TODO* README
%{_sysconfdir}/gconf/schemas/%{name}-dbgperspective.schemas
%{_sysconfdir}/gconf/schemas/%{name}-workbench.schemas
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/nemiver*
%{_libdir}/%{name}
%{_mandir}/man1/*
%dir %{_datadir}/omf/nemiver
%{_datadir}/omf/nemiver/*-*.omf
%lang(sv) %{_datadir}/omf/nemiver/*-sv.omf
%lang(es) %{_datadir}/omf/nemiver/*-es.omf
%lang(oc) %{_datadir}/omf/nemiver/*-oc.omf



%changelog
* Mon Dec 07 2009 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2010.1
+ Revision: 474345
- update to new version 0.7.3

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 438615
- update to new version 0.7.2

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 407277
- Update to new version 0.7.1

* Sat Jul 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 392363
- update to new version 0.7.0

* Wed Jun 10 2009 Götz Waschk <waschk@mandriva.org> 0.6.7-3mdv2010.0
+ Revision: 384701
- rebuild for new vte

* Tue Jun 02 2009 Götz Waschk <waschk@mandriva.org> 0.6.7-2mdv2010.0
+ Revision: 382170
- rebuild for new libvte

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdv2010.0
+ Revision: 371601
- update to new version 0.6.7

* Mon Apr 06 2009 Frederic Crozat <fcrozat@mandriva.com> 0.6.6-1mdv2009.1
+ Revision: 364441
- Release 0.6.6

* Wed Mar 11 2009 Frederic Crozat <fcrozat@mandriva.com> 0.6.5-3mdv2009.1
+ Revision: 353821
- Patch0 (GIT): update ephy-spinner

* Mon Mar 02 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.5-2mdv2009.1
+ Revision: 347261
- obsoletes old and uneeded libraries

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 0.6.5-1mdv2009.1
+ Revision: 346896
- update build deps
- update to new version 0.6.5
- fix source URL

  + Funda Wang <fwang@mandriva.org>
    - update url

* Thu Nov 27 2008 Funda Wang <fwang@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 307223
- new version 0.6.4

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 0.6.3-3mdv2009.1
+ Revision: 302016
- rebuild for xcb
- add debugger category

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 292588
- drop old Mandriva menu category from .desktop file
- new release 0.6.3

* Sat Aug 30 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6.2-1mdv2009.0
+ Revision: 277620
- Release 0.6.2

* Thu Jul 31 2008 Frederic Crozat <fcrozat@mandriva.com> 0.6.1-1mdv2009.0
+ Revision: 257953
- Release 0.6.1

* Mon Jun 23 2008 Frederic Crozat <fcrozat@mandriva.com> 0.5.4-1mdv2009.0
+ Revision: 227991
- Release 0.5.4

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue May 27 2008 Funda Wang <fwang@mandriva.org> 0.5.3-1mdv2009.0
+ Revision: 211507
- New version 0.5.3

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.2-1mdv2009.0
+ Revision: 206523
- new release 0.5.2
- drop unneeded old icon locations
- spec clean

* Tue Mar 18 2008 Michael Scherer <misc@mandriva.org> 0.5.0-2mdv2008.1
+ Revision: 188535
- fix buildrequires
- add support for memoryview option, as pointed by dodji on #gnome-fr

* Sun Mar 16 2008 Frederic Crozat <fcrozat@mandriva.com> 0.5.0-1mdv2008.1
+ Revision: 188179
- Release 0.5.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 03 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-1mdv2008.0
+ Revision: 58512
-Patch0: fix build with recent libgtop
-fix buildrequires

  + Jérôme Soyer <saispo@mandriva.org>
    - Add BuildRequires
    - New release 0.4.0


* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2007.0
+ Revision: 111404
- new version
- bump deps
- update file list
- fix split between main and library package

* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.0-4mdv2007.1
+ Revision: 97291
- Fix sqlite
- Fix Release
- Fix sqlite

* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.0-3mdv2007.1
+ Revision: 97229
- Fix exclude
- Fix bug
- Fix bug
- Fix bug
- Fix preun
- Fix schemas and Requires

* Thu Dec 14 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 96802
- New release 0.2.0

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 0.1.0-2mdv2007.1
+ Revision: 94681
- Repush
- Repush
- Add BuildRequires
- Add BuildRequires
- Add BuildRequires
- Fix BuildRequires
- Add BuildRequires
- Fix
- Add BuildRequires
- Add BuildRequires
- Import nemiver

* Mon Nov 27 2006 Jerome Soyer <saispo@mandriva.org> 0.1.0-1mdv2007.0
- First release

